HTML element that represents the entry point

### Hierarchy

- HTMLElement
  - JsonFormsElement

## Index

### Constructors

- constructor

### Properties

- _store
- allowDynamicUpdate
- ATTRIBUTE_NODE
- CDATA_SECTION_NODE
- COMMENT_NODE
- DOCUMENT_FRAGMENT_NODE
- DOCUMENT_NODE
- DOCUMENT_POSITION_CONTAINED_BY
- DOCUMENT_POSITION_CONTAINS
- DOCUMENT_POSITION_DISCONNECTED
- DOCUMENT_POSITION_FOLLOWING
- DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
- DOCUMENT_POSITION_PRECEDING
- DOCUMENT_TYPE_NODE
- ELEMENT_NODE
- ENTITY_NODE
- ENTITY_REFERENCE_NODE
- HTMLElement
- NOTATION_NODE
- PROCESSING_INSTRUCTION_NODE
- TEXT_NODE
- accessKey
- assignedSlot
- attributes
- baseURI
- childElementCount
- childNodes
- children
- classList
- className
- clientHeight
- clientLeft
- clientTop
- clientWidth
- contentEditable
- dataset
- dir
- draggable
- firstChild
- firstElementChild
- hidden
- hideFocus
- id
- innerHTML
- innerText
- isContentEditable
- lang
- lastChild
- lastElementChild
- localName
- msContentZoomFactor
- msRegionOverflow
- namespaceURI
- nextElementSibling
- nextSibling
- nodeName
- nodeType
- nodeValue
- offsetHeight
- offsetLeft
- offsetParent
- offsetTop
- offsetWidth
- onabort
- onactivate
- onariarequest
- onbeforeactivate
- onbeforecopy
- onbeforecut
- onbeforedeactivate
- onbeforepaste
- onblur
- oncanplay
- oncanplaythrough
- onchange
- onclick
- oncommand
- oncontextmenu
- oncopy
- oncuechange
- oncut
- ondblclick
- ondeactivate
- ondrag
- ondragend
- ondragenter
- ondragleave
- ondragover
- ondragstart
- ondrop
- ondurationchange
- onemptied
- onended
- onerror
- onfocus
- ongotpointercapture
- oninput
- oninvalid
- onkeydown
- onkeypress
- onkeyup
- onload
- onloadeddata
- onloadedmetadata
- onloadstart
- onlostpointercapture
- onmousedown
- onmouseenter
- onmouseleave
- onmousemove
- onmouseout
- onmouseover
- onmouseup
- onmousewheel
- onmscontentzoom
- onmsgesturechange
- onmsgesturedoubletap
- onmsgestureend
- onmsgesturehold
- onmsgesturestart
- onmsgesturetap
- onmsgotpointercapture
- onmsinertiastart
- onmslostpointercapture
- onmsmanipulationstatechanged
- onmspointercancel
- onmspointerdown
- onmspointerenter
- onmspointerleave
- onmspointermove
- onmspointerout
- onmspointerover
- onmspointerup
- onpaste
- onpause
- onplay
- onplaying
- onpointercancel
- onpointerdown
- onpointerenter
- onpointerleave
- onpointermove
- onpointerout
- onpointerover
- onpointerup
- onprogress
- onratechange
- onreset
- onscroll
- onseeked
- onseeking
- onselect
- onselectstart
- onstalled
- onsubmit
- onsuspend
- ontimeupdate
- ontouchcancel
- ontouchend
- ontouchmove
- ontouchstart
- onvolumechange
- onwaiting
- onwebkitfullscreenchange
- onwebkitfullscreenerror
- onwheel
- outerHTML
- outerText
- ownerDocument
- parentElement
- parentNode
- prefix
- previousElementSibling
- previousSibling
- scrollHeight
- scrollLeft
- scrollTop
- scrollWidth
- shadowRoot
- slot
- spellcheck
- style
- tabIndex
- tagName
- textContent
- title

### Accessors

- store

### Methods

- connectedCallback
- render
- addEventListener
- appendChild
- attachShadow
- blur
- click
- cloneNode
- closest
- compareDocumentPosition
- contains
- dispatchEvent
- dragDrop
- focus
- getAttribute
- getAttributeNS
- getAttributeNode
- getAttributeNodeNS
- getBoundingClientRect
- getClientRects
- getElementsByClassName
- getElementsByTagName
- getElementsByTagNameNS
- hasAttribute
- hasAttributeNS
- hasAttributes
- hasChildNodes
- insertAdjacentElement
- insertAdjacentHTML
- insertAdjacentText
- insertBefore
- isDefaultNamespace
- isEqualNode
- isSameNode
- lookupNamespaceURI
- lookupPrefix
- matches
- msGetInputContext
- msGetRegionContent
- msGetUntransformedBounds
- msMatchesSelector
- msReleasePointerCapture
- msSetPointerCapture
- msZoomTo
- normalize
- querySelector
- querySelectorAll
- releasePointerCapture
- remove
- removeAttribute
- removeAttributeNS
- removeAttributeNode
- removeChild
- removeEventListener
- replaceChild
- requestFullscreen
- requestPointerLock
- scroll
- scrollBy
- scrollIntoView
- scrollTo
- setAttribute
- setAttributeNS
- setAttributeNode
- setAttributeNodeNS
- setPointerCapture
- webkitMatchesSelector
- webkitRequestFullScreen
- webkitRequestFullscreen

## Constructors

### constructor

- new JsonFormsElement(): JsonFormsElement

- - Defined in JsonFormsElement.tsx:50

  Constructor.

  #### Returns JsonFormsElement

## Properties

### Private _store

_store: JsonFormsStore

- Defined in JsonFormsElement.tsx:50

### Private allowDynamicUpdate

allowDynamicUpdate: boolean = false

- Defined in JsonFormsElement.tsx:49

### Static ATTRIBUTE_NODE

ATTRIBUTE_NODE: number

Inherited from Node.ATTRIBUTE_NODE

Overrides Node.ATTRIBUTE_NODE

### Static CDATA_SECTION_NODE

CDATA_SECTION_NODE: number

Inherited from Node.CDATA_SECTION_NODE

Overrides Node.CDATA_SECTION_NODE

### Static COMMENT_NODE

COMMENT_NODE: number

Inherited from Node.COMMENT_NODE

Overrides Node.COMMENT_NODE

### Static DOCUMENT_FRAGMENT_NODE

DOCUMENT_FRAGMENT_NODE: number

Inherited from Node.DOCUMENT_FRAGMENT_NODE

Overrides Node.DOCUMENT_FRAGMENT_NODE

### Static DOCUMENT_NODE

DOCUMENT_NODE: number

Inherited from Node.DOCUMENT_NODE

Overrides Node.DOCUMENT_NODE

### Static DOCUMENT_POSITION_CONTAINED_BY

DOCUMENT_POSITION_CONTAINED_BY: number

Inherited from Node.DOCUMENT_POSITION_CONTAINED_BY

Overrides Node.DOCUMENT_POSITION_CONTAINED_BY

### Static DOCUMENT_POSITION_CONTAINS

DOCUMENT_POSITION_CONTAINS: number

Inherited from Node.DOCUMENT_POSITION_CONTAINS

Overrides Node.DOCUMENT_POSITION_CONTAINS

### Static DOCUMENT_POSITION_DISCONNECTED

DOCUMENT_POSITION_DISCONNECTED: number

Inherited from Node.DOCUMENT_POSITION_DISCONNECTED

Overrides Node.DOCUMENT_POSITION_DISCONNECTED

### Static DOCUMENT_POSITION_FOLLOWING

DOCUMENT_POSITION_FOLLOWING: number

Inherited from Node.DOCUMENT_POSITION_FOLLOWING

Overrides Node.DOCUMENT_POSITION_FOLLOWING

### Static DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

Inherited from Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

Overrides Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

### Static DOCUMENT_POSITION_PRECEDING

DOCUMENT_POSITION_PRECEDING: number

Inherited from Node.DOCUMENT_POSITION_PRECEDING

Overrides Node.DOCUMENT_POSITION_PRECEDING

### Static DOCUMENT_TYPE_NODE

DOCUMENT_TYPE_NODE: number

Inherited from Node.DOCUMENT_TYPE_NODE

Overrides Node.DOCUMENT_TYPE_NODE

### Static ELEMENT_NODE

ELEMENT_NODE: number

Inherited from Node.ELEMENT_NODE

Overrides Node.ELEMENT_NODE

### Static ENTITY_NODE

ENTITY_NODE: number

Inherited from Node.ENTITY_NODE

Overrides Node.ENTITY_NODE

### Static ENTITY_REFERENCE_NODE

ENTITY_REFERENCE_NODE: number

Inherited from Node.ENTITY_REFERENCE_NODE

Overrides Node.ENTITY_REFERENCE_NODE

### Static HTMLElement

HTMLElement: object

#### Type declaration

- ##### constructor: function

  - new __type(): HTMLElement

  - #### Returns HTMLElement

- ##### prototype: HTMLElement

### Static NOTATION_NODE

NOTATION_NODE: number

Inherited from Node.NOTATION_NODE

Overrides Node.NOTATION_NODE

### Static PROCESSING_INSTRUCTION_NODE

PROCESSING_INSTRUCTION_NODE: number

Inherited from Node.PROCESSING_INSTRUCTION_NODE

Overrides Node.PROCESSING_INSTRUCTION_NODE

### Static TEXT_NODE

TEXT_NODE: number

Inherited from Node.TEXT_NODE

Overrides Node.TEXT_NODE

### Static accessKey

accessKey: string

Inherited from HTMLElement.accessKey

### Static assignedSlot

assignedSlot: HTMLSlotElement | null

Inherited from Element.assignedSlot

Overrides Element.assignedSlot

### Static attributes

attributes: NamedNodeMap

Inherited from Node.attributes

Overrides Node.attributes

### Static baseURI

baseURI: string | null

Inherited from Node.baseURI

Overrides Node.baseURI

### Static childElementCount

childElementCount: number

Inherited from ElementTraversal.childElementCount

Overrides ParentNode.childElementCount

### Static childNodes

childNodes: NodeList

Inherited from Node.childNodes

Overrides Node.childNodes

### Static children

children: HTMLCollection

Inherited from HTMLElement.children

Overrides ParentNode.children

### Static classList

classList: DOMTokenList

Inherited from Element.classList

Overrides Element.classList

### Static className

className: string

Inherited from Element.className

Overrides Element.className

### Static clientHeight

clientHeight: number

Inherited from Element.clientHeight

Overrides Element.clientHeight

### Static clientLeft

clientLeft: number

Inherited from Element.clientLeft

Overrides Element.clientLeft

### Static clientTop

clientTop: number

Inherited from Element.clientTop

Overrides Element.clientTop

### Static clientWidth

clientWidth: number

Inherited from Element.clientWidth

Overrides Element.clientWidth

### Static contentEditable

contentEditable: string

Inherited from HTMLElement.contentEditable

### Static dataset

dataset: DOMStringMap

Inherited from HTMLElement.dataset

### Static dir

dir: string

Inherited from HTMLElement.dir

### Static draggable

draggable: boolean

Inherited from HTMLElement.draggable

### Static firstChild

firstChild: Node | null

Inherited from Node.firstChild

Overrides Node.firstChild

### Static firstElementChild

firstElementChild: Element | null

Inherited from ElementTraversal.firstElementChild

Overrides ParentNode.firstElementChild

### Static hidden

hidden: boolean

Inherited from HTMLElement.hidden

### Static hideFocus

hideFocus: boolean

Inherited from HTMLElement.hideFocus

### Static id

id: string

Inherited from Element.id

Overrides Element.id

### Static innerHTML

innerHTML: string

Inherited from Element.innerHTML

Overrides Element.innerHTML

### Static innerText

innerText: string

Inherited from HTMLElement.innerText

### Static isContentEditable

isContentEditable: boolean

Inherited from HTMLElement.isContentEditable

### Static lang

lang: string

Inherited from HTMLElement.lang

### Static lastChild

lastChild: Node | null

Inherited from Node.lastChild

Overrides Node.lastChild

### Static lastElementChild

lastElementChild: Element | null

Inherited from ElementTraversal.lastElementChild

Overrides ParentNode.lastElementChild

### Static localName

localName: string | null

Inherited from Node.localName

Overrides Node.localName

### Static msContentZoomFactor

msContentZoomFactor: number

Inherited from Element.msContentZoomFactor

Overrides Element.msContentZoomFactor

### Static msRegionOverflow

msRegionOverflow: string

Inherited from Element.msRegionOverflow

Overrides Element.msRegionOverflow

### Static namespaceURI

namespaceURI: string | null

Inherited from Node.namespaceURI

Overrides Node.namespaceURI

### Static nextElementSibling

nextElementSibling: Element | null

Inherited from ElementTraversal.nextElementSibling

Overrides ElementTraversal.nextElementSibling

### Static nextSibling

nextSibling: Node | null

Inherited from Node.nextSibling

Overrides Node.nextSibling

### Static nodeName

nodeName: string

Inherited from Node.nodeName

Overrides Node.nodeName

### Static nodeType

nodeType: number

Inherited from Node.nodeType

Overrides Node.nodeType

### Static nodeValue

nodeValue: string | null

Inherited from Node.nodeValue

Overrides Node.nodeValue

### Static offsetHeight

offsetHeight: number

Inherited from HTMLElement.offsetHeight

### Static offsetLeft

offsetLeft: number

Inherited from HTMLElement.offsetLeft

### Static offsetParent

offsetParent: Element

Inherited from HTMLElement.offsetParent

### Static offsetTop

offsetTop: number

Inherited from HTMLElement.offsetTop

### Static offsetWidth

offsetWidth: number

Inherited from HTMLElement.offsetWidth

### Static onabort

onabort: function

Inherited from HTMLElement.onabort

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onactivate

onactivate: function

Inherited from HTMLElement.onactivate

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onariarequest

onariarequest: function

Inherited from Element.onariarequest

Overrides Element.onariarequest

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static onbeforeactivate

onbeforeactivate: function

Inherited from HTMLElement.onbeforeactivate

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onbeforecopy

onbeforecopy: function

Inherited from HTMLElement.onbeforecopy

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onbeforecut

onbeforecut: function

Inherited from HTMLElement.onbeforecut

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onbeforedeactivate

onbeforedeactivate: function

Inherited from HTMLElement.onbeforedeactivate

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onbeforepaste

onbeforepaste: function

Inherited from HTMLElement.onbeforepaste

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onblur

onblur: function

Inherited from HTMLElement.onblur

#### Type declaration

- - (this: HTMLElement, ev: FocusEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: FocusEvent

    #### Returns any

### Static oncanplay

oncanplay: function

Inherited from HTMLElement.oncanplay

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static oncanplaythrough

oncanplaythrough: function

Inherited from HTMLElement.oncanplaythrough

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onchange

onchange: function

Inherited from HTMLElement.onchange

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onclick

onclick: function

Inherited from HTMLElement.onclick

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static oncommand

oncommand: function

Inherited from Element.oncommand

Overrides Element.oncommand

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static oncontextmenu

oncontextmenu: function

Inherited from HTMLElement.oncontextmenu

#### Type declaration

- - (this: HTMLElement, ev: PointerEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: PointerEvent

    #### Returns any

### Static oncopy

oncopy: function

Inherited from HTMLElement.oncopy

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static oncuechange

oncuechange: function

Inherited from HTMLElement.oncuechange

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static oncut

oncut: function

Inherited from HTMLElement.oncut

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static ondblclick

ondblclick: function

Inherited from HTMLElement.ondblclick

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static ondeactivate

ondeactivate: function

Inherited from HTMLElement.ondeactivate

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static ondrag

ondrag: function

Inherited from HTMLElement.ondrag

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragend

ondragend: function

Inherited from HTMLElement.ondragend

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragenter

ondragenter: function

Inherited from HTMLElement.ondragenter

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragleave

ondragleave: function

Inherited from HTMLElement.ondragleave

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragover

ondragover: function

Inherited from HTMLElement.ondragover

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondragstart

ondragstart: function

Inherited from HTMLElement.ondragstart

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondrop

ondrop: function

Inherited from HTMLElement.ondrop

#### Type declaration

- - (this: HTMLElement, ev: DragEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: DragEvent

    #### Returns any

### Static ondurationchange

ondurationchange: function

Inherited from HTMLElement.ondurationchange

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onemptied

onemptied: function

Inherited from HTMLElement.onemptied

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onended

onended: function

Inherited from HTMLElement.onended

#### Type declaration

- - (this: HTMLElement, ev: MediaStreamErrorEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MediaStreamErrorEvent

    #### Returns any

### Static onerror

onerror: function

Inherited from HTMLElement.onerror

#### Type declaration

- - (this: HTMLElement, ev: ErrorEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ErrorEvent

    #### Returns any

### Static onfocus

onfocus: function

Inherited from HTMLElement.onfocus

#### Type declaration

- - (this: HTMLElement, ev: FocusEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: FocusEvent

    #### Returns any

### Static ongotpointercapture

ongotpointercapture: function

Inherited from Element.ongotpointercapture

Overrides Element.ongotpointercapture

#### Type declaration

- - (this: Element, ev: PointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: PointerEvent

    #### Returns any

### Static oninput

oninput: function

Inherited from HTMLElement.oninput

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static oninvalid

oninvalid: function

Inherited from HTMLElement.oninvalid

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onkeydown

onkeydown: function

Inherited from HTMLElement.onkeydown

#### Type declaration

- - (this: HTMLElement, ev: KeyboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: KeyboardEvent

    #### Returns any

### Static onkeypress

onkeypress: function

Inherited from HTMLElement.onkeypress

#### Type declaration

- - (this: HTMLElement, ev: KeyboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: KeyboardEvent

    #### Returns any

### Static onkeyup

onkeyup: function

Inherited from HTMLElement.onkeyup

#### Type declaration

- - (this: HTMLElement, ev: KeyboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: KeyboardEvent

    #### Returns any

### Static onload

onload: function

Inherited from HTMLElement.onload

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onloadeddata

onloadeddata: function

Inherited from HTMLElement.onloadeddata

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onloadedmetadata

onloadedmetadata: function

Inherited from HTMLElement.onloadedmetadata

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onloadstart

onloadstart: function

Inherited from HTMLElement.onloadstart

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onlostpointercapture

onlostpointercapture: function

Inherited from Element.onlostpointercapture

Overrides Element.onlostpointercapture

#### Type declaration

- - (this: Element, ev: PointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: PointerEvent

    #### Returns any

### Static onmousedown

onmousedown: function

Inherited from HTMLElement.onmousedown

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseenter

onmouseenter: function

Inherited from HTMLElement.onmouseenter

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseleave

onmouseleave: function

Inherited from HTMLElement.onmouseleave

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmousemove

onmousemove: function

Inherited from HTMLElement.onmousemove

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseout

onmouseout: function

Inherited from HTMLElement.onmouseout

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseover

onmouseover: function

Inherited from HTMLElement.onmouseover

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmouseup

onmouseup: function

Inherited from HTMLElement.onmouseup

#### Type declaration

- - (this: HTMLElement, ev: MouseEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MouseEvent

    #### Returns any

### Static onmousewheel

onmousewheel: function

Inherited from HTMLElement.onmousewheel

#### Type declaration

- - (this: HTMLElement, ev: WheelEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: WheelEvent

    #### Returns any

### Static onmscontentzoom

onmscontentzoom: function

Inherited from HTMLElement.onmscontentzoom

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onmsgesturechange

onmsgesturechange: function

Inherited from Element.onmsgesturechange

Overrides Element.onmsgesturechange

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturedoubletap

onmsgesturedoubletap: function

Inherited from Element.onmsgesturedoubletap

Overrides Element.onmsgesturedoubletap

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgestureend

onmsgestureend: function

Inherited from Element.onmsgestureend

Overrides Element.onmsgestureend

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturehold

onmsgesturehold: function

Inherited from Element.onmsgesturehold

Overrides Element.onmsgesturehold

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturestart

onmsgesturestart: function

Inherited from Element.onmsgesturestart

Overrides Element.onmsgesturestart

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgesturetap

onmsgesturetap: function

Inherited from Element.onmsgesturetap

Overrides Element.onmsgesturetap

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmsgotpointercapture

onmsgotpointercapture: function

Inherited from Element.onmsgotpointercapture

Overrides Element.onmsgotpointercapture

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmsinertiastart

onmsinertiastart: function

Inherited from Element.onmsinertiastart

Overrides Element.onmsinertiastart

#### Type declaration

- - (this: Element, ev: MSGestureEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSGestureEvent

    #### Returns any

### Static onmslostpointercapture

onmslostpointercapture: function

Inherited from Element.onmslostpointercapture

Overrides Element.onmslostpointercapture

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmsmanipulationstatechanged

onmsmanipulationstatechanged: function

Inherited from HTMLElement.onmsmanipulationstatechanged

#### Type declaration

- - (this: HTMLElement, ev: MSManipulationEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: MSManipulationEvent

    #### Returns any

### Static onmspointercancel

onmspointercancel: function

Inherited from Element.onmspointercancel

Overrides Element.onmspointercancel

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerdown

onmspointerdown: function

Inherited from Element.onmspointerdown

Overrides Element.onmspointerdown

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerenter

onmspointerenter: function

Inherited from Element.onmspointerenter

Overrides Element.onmspointerenter

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerleave

onmspointerleave: function

Inherited from Element.onmspointerleave

Overrides Element.onmspointerleave

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointermove

onmspointermove: function

Inherited from Element.onmspointermove

Overrides Element.onmspointermove

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerout

onmspointerout: function

Inherited from Element.onmspointerout

Overrides Element.onmspointerout

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerover

onmspointerover: function

Inherited from Element.onmspointerover

Overrides Element.onmspointerover

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onmspointerup

onmspointerup: function

Inherited from Element.onmspointerup

Overrides Element.onmspointerup

#### Type declaration

- - (this: Element, ev: MSPointerEvent): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: MSPointerEvent

    #### Returns any

### Static onpaste

onpaste: function

Inherited from HTMLElement.onpaste

#### Type declaration

- - (this: HTMLElement, ev: ClipboardEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ClipboardEvent

    #### Returns any

### Static onpause

onpause: function

Inherited from HTMLElement.onpause

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onplay

onplay: function

Inherited from HTMLElement.onplay

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onplaying

onplaying: function

Inherited from HTMLElement.onplaying

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onpointercancel

onpointercancel: function

Inherited from GlobalEventHandlers.onpointercancel

Overrides GlobalEventHandlers.onpointercancel

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerdown

onpointerdown: function

Inherited from GlobalEventHandlers.onpointerdown

Overrides GlobalEventHandlers.onpointerdown

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerenter

onpointerenter: function

Inherited from GlobalEventHandlers.onpointerenter

Overrides GlobalEventHandlers.onpointerenter

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerleave

onpointerleave: function

Inherited from GlobalEventHandlers.onpointerleave

Overrides GlobalEventHandlers.onpointerleave

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointermove

onpointermove: function

Inherited from GlobalEventHandlers.onpointermove

Overrides GlobalEventHandlers.onpointermove

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerout

onpointerout: function

Inherited from GlobalEventHandlers.onpointerout

Overrides GlobalEventHandlers.onpointerout

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerover

onpointerover: function

Inherited from GlobalEventHandlers.onpointerover

Overrides GlobalEventHandlers.onpointerover

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onpointerup

onpointerup: function

Inherited from GlobalEventHandlers.onpointerup

Overrides GlobalEventHandlers.onpointerup

#### Type declaration

- - (this: GlobalEventHandlers, ev: PointerEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: PointerEvent

    #### Returns any

### Static onprogress

onprogress: function

Inherited from HTMLElement.onprogress

#### Type declaration

- - (this: HTMLElement, ev: ProgressEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: ProgressEvent

    #### Returns any

### Static onratechange

onratechange: function

Inherited from HTMLElement.onratechange

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onreset

onreset: function

Inherited from HTMLElement.onreset

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onscroll

onscroll: function

Inherited from HTMLElement.onscroll

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onseeked

onseeked: function

Inherited from HTMLElement.onseeked

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onseeking

onseeking: function

Inherited from HTMLElement.onseeking

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onselect

onselect: function

Inherited from HTMLElement.onselect

#### Type declaration

- - (this: HTMLElement, ev: UIEvent): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: UIEvent

    #### Returns any

### Static onselectstart

onselectstart: function

Inherited from HTMLElement.onselectstart

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onstalled

onstalled: function

Inherited from HTMLElement.onstalled

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onsubmit

onsubmit: function

Inherited from HTMLElement.onsubmit

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onsuspend

onsuspend: function

Inherited from HTMLElement.onsuspend

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static ontimeupdate

ontimeupdate: function

Inherited from HTMLElement.ontimeupdate

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static ontouchcancel

ontouchcancel: function

Inherited from Element.ontouchcancel

Overrides Element.ontouchcancel

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static ontouchend

ontouchend: function

Inherited from Element.ontouchend

Overrides Element.ontouchend

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static ontouchmove

ontouchmove: function

Inherited from Element.ontouchmove

Overrides Element.ontouchmove

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static ontouchstart

ontouchstart: function

Inherited from Element.ontouchstart

Overrides Element.ontouchstart

#### Type declaration

- - (ev: TouchEvent): any

  - #### Parameters

    - ##### ev: TouchEvent

    #### Returns any

### Static onvolumechange

onvolumechange: function

Inherited from HTMLElement.onvolumechange

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onwaiting

onwaiting: function

Inherited from HTMLElement.onwaiting

#### Type declaration

- - (this: HTMLElement, ev: Event): any

  - #### Parameters

    - ##### this: HTMLElement

    - ##### ev: Event

    #### Returns any

### Static onwebkitfullscreenchange

onwebkitfullscreenchange: function

Inherited from Element.onwebkitfullscreenchange

Overrides Element.onwebkitfullscreenchange

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static onwebkitfullscreenerror

onwebkitfullscreenerror: function

Inherited from Element.onwebkitfullscreenerror

Overrides Element.onwebkitfullscreenerror

#### Type declaration

- - (this: Element, ev: Event): any

  - #### Parameters

    - ##### this: Element

    - ##### ev: Event

    #### Returns any

### Static onwheel

onwheel: function

Inherited from GlobalEventHandlers.onwheel

Overrides GlobalEventHandlers.onwheel

#### Type declaration

- - (this: GlobalEventHandlers, ev: WheelEvent): any

  - #### Parameters

    - ##### this: GlobalEventHandlers

    - ##### ev: WheelEvent

    #### Returns any

### Static outerHTML

outerHTML: string

Inherited from Element.outerHTML

Overrides Element.outerHTML

### Static outerText

outerText: string

Inherited from HTMLElement.outerText

### Static ownerDocument

ownerDocument: Document

Inherited from Node.ownerDocument

Overrides Node.ownerDocument

### Static parentElement

parentElement: HTMLElement | null

Inherited from Node.parentElement

Overrides Node.parentElement

### Static parentNode

parentNode: Node | null

Inherited from Node.parentNode

Overrides Node.parentNode

### Static prefix

prefix: string | null

Inherited from Element.prefix

Overrides Element.prefix

### Static previousElementSibling

previousElementSibling: Element | null

Inherited from ElementTraversal.previousElementSibling

Overrides ElementTraversal.previousElementSibling

### Static previousSibling

previousSibling: Node | null

Inherited from Node.previousSibling

Overrides Node.previousSibling

### Static scrollHeight

scrollHeight: number

Inherited from Element.scrollHeight

Overrides Element.scrollHeight

### Static scrollLeft

scrollLeft: number

Inherited from Element.scrollLeft

Overrides Element.scrollLeft

### Static scrollTop

scrollTop: number

Inherited from Element.scrollTop

Overrides Element.scrollTop

### Static scrollWidth

scrollWidth: number

Inherited from Element.scrollWidth

Overrides Element.scrollWidth

### Static shadowRoot

shadowRoot: ShadowRoot | null

Inherited from Element.shadowRoot

Overrides Element.shadowRoot

### Static slot

slot: string

Inherited from Element.slot

Overrides Element.slot

### Static spellcheck

spellcheck: boolean

Inherited from HTMLElement.spellcheck

### Static style

style: CSSStyleDeclaration

Inherited from HTMLElement.style

### Static tabIndex

tabIndex: number

Inherited from HTMLElement.tabIndex

### Static tagName

tagName: string

Inherited from Element.tagName

Overrides Element.tagName

### Static textContent

textContent: string | null

Inherited from Node.textContent

Overrides Node.textContent

### Static title

title: string

Inherited from HTMLElement.title

## Accessors

### store

- get store(): Store<JsonFormsState>
- set store(store: Store<JsonFormsState>): void

- - Defined in JsonFormsElement.tsx:96

  Set the store to be used by the element

  the store containing the jsonforms state and reducer

  #### Returns Store<JsonFormsState>

- - Defined in JsonFormsElement.tsx:73

  Set the store to be used by the element

  package

  #### Parameters

  - ##### store: Store<JsonFormsState>

    the store containing the jsonforms state and reducer

  #### Returns void

## Methods

### connectedCallback

- connectedCallback(): void

- - Defined in JsonFormsElement.tsx:62

  Called when this element is inserted into a document.

  #### Returns void

### Private render

- render(): void

- - Defined in JsonFormsElement.tsx:100

  #### Returns void

### Static addEventListener

- addEventListener<K>(type: K, listener: function, useCapture?: boolean): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void

- Inherited from HTMLElement.addEventListener

  Overrides Element.addEventListener

  #### Type parameters

  - #### K: "abort" | "activate" | "beforeactivate" | "beforecopy" | "beforecut" | "beforedeactivate" | "beforepaste" | "blur" | "canplay" | "canplaythrough" | "change" | "click" | "contextmenu" | "copy" | "cuechange" | "cut" | "dblclick" | "deactivate" | "drag" | "dragend" | "dragenter" | "dragleave" | "dragover" | "dragstart" | "drop" | "durationchange" | "emptied" | "ended" | "error" | "focus" | "input" | "invalid" | "keydown" | "keypress" | "keyup" | "load" | "loadeddata" | "loadedmetadata" | "loadstart" | "mousedown" | "mouseenter" | "mouseleave" | "mousemove" | "mouseout" | "mouseover" | "mouseup" | "mousewheel" | "MSContentZoom" | "MSManipulationStateChanged" | "paste" | "pause" | "play" | "playing" | "progress" | "ratechange" | "reset" | "scroll" | "seeked" | "seeking" | "select" | "selectstart" | "stalled" | "submit" | "suspend" | "timeupdate" | "volumechange" | "waiting" | "ariarequest" | "command" | "gotpointercapture" | "lostpointercapture" | "MSGestureChange" | "MSGestureDoubleTap" | "MSGestureEnd" | "MSGestureHold" | "MSGestureStart" | "MSGestureTap" | "MSGotPointerCapture" | "MSInertiaStart" | "MSLostPointerCapture" | "MSPointerCancel" | "MSPointerDown" | "MSPointerEnter" | "MSPointerLeave" | "MSPointerMove" | "MSPointerOut" | "MSPointerOver" | "MSPointerUp" | "touchcancel" | "touchend" | "touchmove" | "touchstart" | "webkitfullscreenchange" | "webkitfullscreenerror" | "pointercancel" | "pointerdown" | "pointerenter" | "pointerleave" | "pointermove" | "pointerout" | "pointerover" | "pointerup" | "wheel"

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: HTMLElement, ev: HTMLElementEventMap[K]): any

      - #### Parameters

        - ##### this: HTMLElement

        - ##### ev: HTMLElementEventMap[K]

        #### Returns any

  - ##### Optional useCapture: boolean

  #### Returns void

- Inherited from HTMLElement.addEventListener

  Overrides Element.addEventListener

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional useCapture: boolean

  #### Returns void

### Static appendChild

- appendChild<T>(newChild: T): T

- Inherited from Node.appendChild

  Overrides Node.appendChild

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  #### Returns T

### Static attachShadow

- attachShadow(shadowRootInitDict: ShadowRootInit): ShadowRoot

- Inherited from Element.attachShadow

  Overrides Element.attachShadow

  #### Parameters

  - ##### shadowRootInitDict: ShadowRootInit

  #### Returns ShadowRoot

### Static blur

- blur(): void

- Inherited from HTMLElement.blur

  #### Returns void

### Static click

- click(): void

- Inherited from HTMLElement.click

  #### Returns void

### Static cloneNode

- cloneNode(deep?: boolean): Node

- Inherited from Node.cloneNode

  Overrides Node.cloneNode

  #### Parameters

  - ##### Optional deep: boolean

  #### Returns Node

### Static closest

- closest(selector: string): Element | null

- Inherited from Element.closest

  Overrides Element.closest

  #### Parameters

  - ##### selector: string

  #### Returns Element | null

### Static compareDocumentPosition

- compareDocumentPosition(other: Node): number

- Inherited from Node.compareDocumentPosition

  Overrides Node.compareDocumentPosition

  #### Parameters

  - ##### other: Node

  #### Returns number

### Static contains

- contains(child: Node): boolean

- Inherited from Node.contains

  Overrides Node.contains

  #### Parameters

  - ##### child: Node

  #### Returns boolean

### Static dispatchEvent

- dispatchEvent(evt: Event): boolean

- Inherited from EventTarget.dispatchEvent

  Overrides EventTarget.dispatchEvent

  #### Parameters

  - ##### evt: Event

  #### Returns boolean

### Static dragDrop

- dragDrop(): boolean

- Inherited from HTMLElement.dragDrop

  #### Returns boolean

### Static focus

- focus(): void

- Inherited from HTMLElement.focus

  #### Returns void

### Static getAttribute

- getAttribute(name: string): string | null

- Inherited from Element.getAttribute

  Overrides Element.getAttribute

  #### Parameters

  - ##### name: string

  #### Returns string | null

### Static getAttributeNS

- getAttributeNS(namespaceURI: string, localName: string): string

- Inherited from Element.getAttributeNS

  Overrides Element.getAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns string

### Static getAttributeNode

- getAttributeNode(name: string): Attr

- Inherited from Element.getAttributeNode

  Overrides Element.getAttributeNode

  #### Parameters

  - ##### name: string

  #### Returns Attr

### Static getAttributeNodeNS

- getAttributeNodeNS(namespaceURI: string, localName: string): Attr

- Inherited from Element.getAttributeNodeNS

  Overrides Element.getAttributeNodeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns Attr

### Static getBoundingClientRect

- getBoundingClientRect(): ClientRect

- Inherited from Element.getBoundingClientRect

  Overrides Element.getBoundingClientRect

  #### Returns ClientRect

### Static getClientRects

- getClientRects(): ClientRectList

- Inherited from Element.getClientRects

  Overrides Element.getClientRects

  #### Returns ClientRectList

### Static getElementsByClassName

- getElementsByClassName(classNames: string): NodeListOf<Element>

- Inherited from Element.getElementsByClassName

  Overrides Element.getElementsByClassName

  #### Parameters

  - ##### classNames: string

  #### Returns NodeListOf<Element>

### Static getElementsByTagName

- getElementsByTagName<K>(name: K): ElementListTagNameMap[K]
- getElementsByTagName(name: string): NodeListOf<Element>

- Inherited from Element.getElementsByTagName

  Overrides Element.getElementsByTagName

  #### Type parameters

  - #### K: "symbol" | "object" | "input" | "progress" | "select" | "abbr" | "acronym" | "address" | "article" | "aside" | "b" | "bdo" | "big" | "center" | "circle" | "cite" | "clippath" | "code" | "dd" | "defs" | "desc" | "dfn" | "dt" | "ellipse" | "em" | "feblend" | "fecolormatrix" | "fecomponenttransfer" | "fecomposite" | "feconvolvematrix" | "fediffuselighting" | "fedisplacementmap" | "fedistantlight" | "feflood" | "fefunca" | "fefuncb" | "fefuncg" | "fefuncr" | "fegaussianblur" | "feimage" | "femerge" | "femergenode" | "femorphology" | "feoffset" | "fepointlight" | "fespecularlighting" | "fespotlight" | "fetile" | "feturbulence" | "figcaption" | "figure" | "filter" | "footer" | "foreignobject" | "g" | "header" | "hgroup" | "i" | "image" | "kbd" | "keygen" | "line" | "lineargradient" | "mark" | "marker" | "mask" | "metadata" | "nav" | "nobr" | "noframes" | "noscript" | "path" | "pattern" | "plaintext" | "polygon" | "polyline" | "radialgradient" | "rect" | "rt" | "ruby" | "s" | "samp" | "section" | "small" | "stop" | "strike" | "strong" | "sub" | "sup" | "svg" | "switch" | "text" | "textpath" | "tspan" | "tt" | "u" | "use" | "var" | "view" | "wbr" | "a" | "applet" | "area" | "audio" | "base" | "basefont" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "col" | "colgroup" | "data" | "datalist" | "del" | "dir" | "div" | "dl" | "embed" | "fieldset" | "font" | "form" | "frame" | "frameset" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "hr" | "html" | "iframe" | "img" | "ins" | "isindex" | "label" | "legend" | "li" | "link" | "listing" | "map" | "marquee" | "menu" | "meta" | "meter" | "nextid" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "q" | "script" | "source" | "span" | "style" | "table" | "tbody" | "td" | "template" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "track" | "ul" | "video" | "x-ms-webview" | "xmp"

  #### Parameters

  - ##### name: K

  #### Returns ElementListTagNameMap[K]

- Inherited from Element.getElementsByTagName

  Overrides Element.getElementsByTagName

  #### Parameters

  - ##### name: string

  #### Returns NodeListOf<Element>

### Static getElementsByTagNameNS

- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>
- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>
- getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>

- Inherited from Element.getElementsByTagNameNS

  Overrides Element.getElementsByTagNameNS

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/1999/xhtml"

  - ##### localName: string

  #### Returns HTMLCollectionOf<HTMLElement>

- Inherited from Element.getElementsByTagNameNS

  Overrides Element.getElementsByTagNameNS

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### localName: string

  #### Returns HTMLCollectionOf<SVGElement>

- Inherited from Element.getElementsByTagNameNS

  Overrides Element.getElementsByTagNameNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns HTMLCollectionOf<Element>

### Static hasAttribute

- hasAttribute(name: string): boolean

- Inherited from Element.hasAttribute

  Overrides Element.hasAttribute

  #### Parameters

  - ##### name: string

  #### Returns boolean

### Static hasAttributeNS

- hasAttributeNS(namespaceURI: string, localName: string): boolean

- Inherited from Element.hasAttributeNS

  Overrides Element.hasAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns boolean

### Static hasAttributes

- hasAttributes(): boolean

- Inherited from Node.hasAttributes

  Overrides Node.hasAttributes

  #### Returns boolean

### Static hasChildNodes

- hasChildNodes(): boolean

- Inherited from Node.hasChildNodes

  Overrides Node.hasChildNodes

  #### Returns boolean

### Static insertAdjacentElement

- insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element | null

- Inherited from Element.insertAdjacentElement

  Overrides Element.insertAdjacentElement

  #### Parameters

  - ##### position: InsertPosition

  - ##### insertedElement: Element

  #### Returns Element | null

### Static insertAdjacentHTML

- insertAdjacentHTML(where: InsertPosition, html: string): void

- Inherited from Element.insertAdjacentHTML

  Overrides Element.insertAdjacentHTML

  #### Parameters

  - ##### where: InsertPosition

  - ##### html: string

  #### Returns void

### Static insertAdjacentText

- insertAdjacentText(where: InsertPosition, text: string): void

- Inherited from Element.insertAdjacentText

  Overrides Element.insertAdjacentText

  #### Parameters

  - ##### where: InsertPosition

  - ##### text: string

  #### Returns void

### Static insertBefore

- insertBefore<T>(newChild: T, refChild: Node | null): T

- Inherited from Node.insertBefore

  Overrides Node.insertBefore

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  - ##### refChild: Node | null

  #### Returns T

### Static isDefaultNamespace

- isDefaultNamespace(namespaceURI: string | null): boolean

- Inherited from Node.isDefaultNamespace

  Overrides Node.isDefaultNamespace

  #### Parameters

  - ##### namespaceURI: string | null

  #### Returns boolean

### Static isEqualNode

- isEqualNode(arg: Node): boolean

- Inherited from Node.isEqualNode

  Overrides Node.isEqualNode

  #### Parameters

  - ##### arg: Node

  #### Returns boolean

### Static isSameNode

- isSameNode(other: Node): boolean

- Inherited from Node.isSameNode

  Overrides Node.isSameNode

  #### Parameters

  - ##### other: Node

  #### Returns boolean

### Static lookupNamespaceURI

- lookupNamespaceURI(prefix: string | null): string | null

- Inherited from Node.lookupNamespaceURI

  Overrides Node.lookupNamespaceURI

  #### Parameters

  - ##### prefix: string | null

  #### Returns string | null

### Static lookupPrefix

- lookupPrefix(namespaceURI: string | null): string | null

- Inherited from Node.lookupPrefix

  Overrides Node.lookupPrefix

  #### Parameters

  - ##### namespaceURI: string | null

  #### Returns string | null

### Static matches

- matches(selector: string): boolean

- Inherited from Element.matches

  Overrides Element.matches

  #### Parameters

  - ##### selector: string

  #### Returns boolean

### Static msGetInputContext

- msGetInputContext(): MSInputMethodContext

- Inherited from HTMLElement.msGetInputContext

  #### Returns MSInputMethodContext

### Static msGetRegionContent

- msGetRegionContent(): MSRangeCollection

- Inherited from Element.msGetRegionContent

  Overrides Element.msGetRegionContent

  #### Returns MSRangeCollection

### Static msGetUntransformedBounds

- msGetUntransformedBounds(): ClientRect

- Inherited from Element.msGetUntransformedBounds

  Overrides Element.msGetUntransformedBounds

  #### Returns ClientRect

### Static msMatchesSelector

- msMatchesSelector(selectors: string): boolean

- Inherited from Element.msMatchesSelector

  Overrides Element.msMatchesSelector

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### Static msReleasePointerCapture

- msReleasePointerCapture(pointerId: number): void

- Inherited from Element.msReleasePointerCapture

  Overrides Element.msReleasePointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static msSetPointerCapture

- msSetPointerCapture(pointerId: number): void

- Inherited from Element.msSetPointerCapture

  Overrides Element.msSetPointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static msZoomTo

- msZoomTo(args: MsZoomToOptions): void

- Inherited from Element.msZoomTo

  Overrides Element.msZoomTo

  #### Parameters

  - ##### args: MsZoomToOptions

  #### Returns void

### Static normalize

- normalize(): void

- Inherited from Node.normalize

  Overrides Node.normalize

  #### Returns void

### Static querySelector

- querySelector<K>(selectors: K): ElementTagNameMap[K] | null
- querySelector(selectors: string): Element | null

- Inherited from NodeSelector.querySelector

  Overrides NodeSelector.querySelector

  #### Type parameters

  - #### K: "symbol" | "object" | "input" | "progress" | "select" | "abbr" | "acronym" | "address" | "article" | "aside" | "b" | "bdo" | "big" | "center" | "circle" | "cite" | "clippath" | "code" | "dd" | "defs" | "desc" | "dfn" | "dt" | "ellipse" | "em" | "feblend" | "fecolormatrix" | "fecomponenttransfer" | "fecomposite" | "feconvolvematrix" | "fediffuselighting" | "fedisplacementmap" | "fedistantlight" | "feflood" | "fefunca" | "fefuncb" | "fefuncg" | "fefuncr" | "fegaussianblur" | "feimage" | "femerge" | "femergenode" | "femorphology" | "feoffset" | "fepointlight" | "fespecularlighting" | "fespotlight" | "fetile" | "feturbulence" | "figcaption" | "figure" | "filter" | "footer" | "foreignobject" | "g" | "header" | "hgroup" | "i" | "image" | "kbd" | "keygen" | "line" | "lineargradient" | "mark" | "marker" | "mask" | "metadata" | "nav" | "nobr" | "noframes" | "noscript" | "path" | "pattern" | "plaintext" | "polygon" | "polyline" | "radialgradient" | "rect" | "rt" | "ruby" | "s" | "samp" | "section" | "small" | "stop" | "strike" | "strong" | "sub" | "sup" | "svg" | "switch" | "text" | "textpath" | "tspan" | "tt" | "u" | "use" | "var" | "view" | "wbr" | "a" | "applet" | "area" | "audio" | "base" | "basefont" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "col" | "colgroup" | "data" | "datalist" | "del" | "dir" | "div" | "dl" | "embed" | "fieldset" | "font" | "form" | "frame" | "frameset" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "hr" | "html" | "iframe" | "img" | "ins" | "isindex" | "label" | "legend" | "li" | "link" | "listing" | "map" | "marquee" | "menu" | "meta" | "meter" | "nextid" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "q" | "script" | "source" | "span" | "style" | "table" | "tbody" | "td" | "template" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "track" | "ul" | "video" | "x-ms-webview" | "xmp"

  #### Parameters

  - ##### selectors: K

  #### Returns ElementTagNameMap[K] | null

- Inherited from NodeSelector.querySelector

  Overrides NodeSelector.querySelector

  #### Parameters

  - ##### selectors: string

  #### Returns Element | null

### Static querySelectorAll

- querySelectorAll<K>(selectors: K): ElementListTagNameMap[K]
- querySelectorAll(selectors: string): NodeListOf<Element>

- Inherited from NodeSelector.querySelectorAll

  Overrides NodeSelector.querySelectorAll

  #### Type parameters

  - #### K: "symbol" | "object" | "input" | "progress" | "select" | "abbr" | "acronym" | "address" | "article" | "aside" | "b" | "bdo" | "big" | "center" | "circle" | "cite" | "clippath" | "code" | "dd" | "defs" | "desc" | "dfn" | "dt" | "ellipse" | "em" | "feblend" | "fecolormatrix" | "fecomponenttransfer" | "fecomposite" | "feconvolvematrix" | "fediffuselighting" | "fedisplacementmap" | "fedistantlight" | "feflood" | "fefunca" | "fefuncb" | "fefuncg" | "fefuncr" | "fegaussianblur" | "feimage" | "femerge" | "femergenode" | "femorphology" | "feoffset" | "fepointlight" | "fespecularlighting" | "fespotlight" | "fetile" | "feturbulence" | "figcaption" | "figure" | "filter" | "footer" | "foreignobject" | "g" | "header" | "hgroup" | "i" | "image" | "kbd" | "keygen" | "line" | "lineargradient" | "mark" | "marker" | "mask" | "metadata" | "nav" | "nobr" | "noframes" | "noscript" | "path" | "pattern" | "plaintext" | "polygon" | "polyline" | "radialgradient" | "rect" | "rt" | "ruby" | "s" | "samp" | "section" | "small" | "stop" | "strike" | "strong" | "sub" | "sup" | "svg" | "switch" | "text" | "textpath" | "tspan" | "tt" | "u" | "use" | "var" | "view" | "wbr" | "a" | "applet" | "area" | "audio" | "base" | "basefont" | "blockquote" | "body" | "br" | "button" | "canvas" | "caption" | "col" | "colgroup" | "data" | "datalist" | "del" | "dir" | "div" | "dl" | "embed" | "fieldset" | "font" | "form" | "frame" | "frameset" | "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | "head" | "hr" | "html" | "iframe" | "img" | "ins" | "isindex" | "label" | "legend" | "li" | "link" | "listing" | "map" | "marquee" | "menu" | "meta" | "meter" | "nextid" | "ol" | "optgroup" | "option" | "output" | "p" | "param" | "picture" | "pre" | "q" | "script" | "source" | "span" | "style" | "table" | "tbody" | "td" | "template" | "textarea" | "tfoot" | "th" | "thead" | "time" | "title" | "tr" | "track" | "ul" | "video" | "x-ms-webview" | "xmp"

  #### Parameters

  - ##### selectors: K

  #### Returns ElementListTagNameMap[K]

- Inherited from NodeSelector.querySelectorAll

  Overrides NodeSelector.querySelectorAll

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<Element>

### Static releasePointerCapture

- releasePointerCapture(pointerId: number): void

- Inherited from Element.releasePointerCapture

  Overrides Element.releasePointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static remove

- remove(): void

- Inherited from ChildNode.remove

  Overrides ChildNode.remove

  #### Returns void

### Static removeAttribute

- removeAttribute(qualifiedName: string): void

- Inherited from Element.removeAttribute

  Overrides Element.removeAttribute

  #### Parameters

  - ##### qualifiedName: string

  #### Returns void

### Static removeAttributeNS

- removeAttributeNS(namespaceURI: string, localName: string): void

- Inherited from Element.removeAttributeNS

  Overrides Element.removeAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns void

### Static removeAttributeNode

- removeAttributeNode(oldAttr: Attr): Attr

- Inherited from Element.removeAttributeNode

  Overrides Element.removeAttributeNode

  #### Parameters

  - ##### oldAttr: Attr

  #### Returns Attr

### Static removeChild

- removeChild<T>(oldChild: T): T

- Inherited from Node.removeChild

  Overrides Node.removeChild

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### oldChild: T

  #### Returns T

### Static removeEventListener

- removeEventListener(type: string, listener?: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Inherited from EventTarget.removeEventListener

  Overrides EventTarget.removeEventListener

  #### Parameters

  - ##### type: string

  - ##### Optional listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### Static replaceChild

- replaceChild<T>(newChild: Node, oldChild: T): T

- Inherited from Node.replaceChild

  Overrides Node.replaceChild

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: Node

  - ##### oldChild: T

  #### Returns T

### Static requestFullscreen

- requestFullscreen(): void

- Inherited from Element.requestFullscreen

  Overrides Element.requestFullscreen

  #### Returns void

### Static requestPointerLock

- requestPointerLock(): void

- Inherited from Element.requestPointerLock

  Overrides Element.requestPointerLock

  #### Returns void

### Static scroll

- scroll(options?: ScrollToOptions): void
- scroll(x: number, y: number): void

- Inherited from Element.scroll

  Overrides Element.scroll

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scroll

  Overrides Element.scroll

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### Static scrollBy

- scrollBy(options?: ScrollToOptions): void
- scrollBy(x: number, y: number): void

- Inherited from Element.scrollBy

  Overrides Element.scrollBy

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollBy

  Overrides Element.scrollBy

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### Static scrollIntoView

- scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void

- Inherited from Element.scrollIntoView

  Overrides Element.scrollIntoView

  #### Parameters

  - ##### Optional arg: boolean | ScrollIntoViewOptions

  #### Returns void

### Static scrollTo

- scrollTo(options?: ScrollToOptions): void
- scrollTo(x: number, y: number): void

- Inherited from Element.scrollTo

  Overrides Element.scrollTo

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollTo

  Overrides Element.scrollTo

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### Static setAttribute

- setAttribute(name: string, value: string): void

- Inherited from Element.setAttribute

  Overrides Element.setAttribute

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

### Static setAttributeNS

- setAttributeNS(namespaceURI: string, qualifiedName: string, value: string): void

- Inherited from Element.setAttributeNS

  Overrides Element.setAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### Static setAttributeNode

- setAttributeNode(newAttr: Attr): Attr

- Inherited from Element.setAttributeNode

  Overrides Element.setAttributeNode

  #### Parameters

  - ##### newAttr: Attr

  #### Returns Attr

### Static setAttributeNodeNS

- setAttributeNodeNS(newAttr: Attr): Attr

- Inherited from Element.setAttributeNodeNS

  Overrides Element.setAttributeNodeNS

  #### Parameters

  - ##### newAttr: Attr

  #### Returns Attr

### Static setPointerCapture

- setPointerCapture(pointerId: number): void

- Inherited from Element.setPointerCapture

  Overrides Element.setPointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### Static webkitMatchesSelector

- webkitMatchesSelector(selectors: string): boolean

- Inherited from Element.webkitMatchesSelector

  Overrides Element.webkitMatchesSelector

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### Static webkitRequestFullScreen

- webkitRequestFullScreen(): void

- Inherited from Element.webkitRequestFullScreen

  Overrides Element.webkitRequestFullScreen

  #### Returns void

### Static webkitRequestFullscreen

- webkitRequestFullscreen(): void

- Inherited from Element.webkitRequestFullscreen

  Overrides Element.webkitRequestFullscreen

  #### Returns void

Generated using TypeDoc